Bug 604343 - clutter-imcontext-devel depends on gtk-doc unnecessarily
clutter-imcontext-devel depends on gtk-doc unnecessarily
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: clutter-imcontext (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 604169
  Show dependency treegraph
 
Reported: 2010-06-15 16:51 EDT by Felipe Contreras
Modified: 2010-06-30 10:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: clutter-imcontext-0.1.6-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-18 19:21:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Felipe Contreras 2010-06-15 16:51:21 EDT
There's no need to depend on gtk-doc to install .html files. See the tracking bug for details.
Comment 1 Todd Zullinger 2010-06-18 19:30:09 EDT
Doesn't this¹ leave %{_datadir}/gtk-doc unowned?

It's okay to not depend on gtk-doc, but then you'd want to own the dir.  For the one package of mine I'm waiting to see the outcome of the discussion on the packaging list. :)

¹ http://cvs.fedoraproject.org/viewvc/rpms/clutter-imcontext/devel/clutter-imcontext.spec?r1=1.7&r2=1.8
Comment 2 Christoph Wickert 2010-06-30 10:09:20 EDT
Peter, I think Todd raised an important question.
Comment 3 Peter Robinson 2010-06-30 10:14:38 EDT
(In reply to comment #2)
> Peter, I think Todd raised an important question.    

Its a question that should have been answered before the tickets were opened then or else they should be bulk closed.
Comment 4 Christoph Wickert 2010-06-30 10:20:08 EDT
As a maintainer it is up to you to accept a bug. In doubt, ask the packaging committee. So far the discussions on the packaging list didn't lead to a consensus. Most people suggested to stick with the current set of guidelines and close these bugs.

You should not accept everything blindly. Unowned directories are worse than duplicate ownership
Comment 5 Peter Robinson 2010-06-30 10:28:37 EDT
(In reply to comment #4)
> As a maintainer it is up to you to accept a bug. In doubt, ask the packaging
> committee. So far the discussions on the packaging list didn't lead to a
> consensus. Most people suggested to stick with the current set of guidelines
> and close these bugs.
> 
> You should not accept everything blindly. Unowned directories are worse than
> duplicate ownership    

my point still remains mass bugs shouldn't be opened if they haven't already been accepted as a feature by the packaging team. If the dep of gtk-doc isn't wanted then the directory should be owned by the filesystem package.
Comment 6 Christoph Wickert 2010-06-30 10:43:27 EDT
(In reply to comment #5)
> my point still remains mass bugs shouldn't be opened if they haven't already
> been accepted as a feature by the packaging team.

Please complain to the bug reporter.

> If the dep of gtk-doc isn't
> wanted then the directory should be owned by the filesystem package.    

This was already discussed and packagers should follow the discussion before making changes.

Note You need to log in before you can comment on or make changes to this bug.